int Oldmain(int argc, char **argv)
{	
  // By Definition all Data will be shown according to scanner reference space 
  if (argc<2) {cout << "Usage: TrackDataVisualisation NIFTIImageMasks.nii.gz  VTKBrainStruktures.vtk (add as much as you want)"<< endl;cout << "Alternatively use conf mode: TrackDataVisualisation conf.txt" << endl; return 1;};
  if (argv[1]=="conf.txt") return confmode();


  for (int i=0;i<argc;i++)
    {
      std::string fn = argv[i];
      if(fn.substr(fn.find_last_of(".") + 1) == "vtk")
	std::cout << argv[i] << " is vtk ..." << std::endl;
      if(fn.substr(fn.find_last_of(".") + 1) == "gz" ||fn.substr(fn.find_last_of(".") + 1) == "nii" )
	std::cout << argv[i] << " is nifti..." << std::endl;
     
    
    
    }
 
  //Visualisation Routines
vtkRenderer *ren1 = vtkRenderer::New();
	


//Load Masks
  for (int i=0;i<argc;i++)
    {
      std::string fn = argv[i];
     if(fn.substr(fn.find_last_of(".") + 1) == "gz" ||fn.substr(fn.find_last_of(".") + 1) == "nii" )
	{
	  std::cout << "Load:" << argv[i] << " as nifti..." << std::endl;
	  NIFTIIntImage* Mask1Image= new NIFTIIntImage();
	  Mask1Image->LoadNiftiImage(argv[i]);
	  vtkPolyData* Mask1PolyData=GetPolyDataForMaskWithThresholdAndColor(Mask1Image, 0.5, 255, 0, 0);
	  vtkActor * Mask1Actor = GetGlyphActorForPolyData(Mask1PolyData);
	  ren1->AddActor(Mask1Actor);
	}};




/*	
	vtkProperty* ControlProps=vtkProperty::New();
	ControlProps->SetColor(0.0,1.0,0);
	ControlProps->SetAmbientColor(0.0,1.0,0);
	ControlProps->SetDiffuseColor(0.0,1.0,0);
	ControlProps->SetSpecularColor(0.0,1.0,0);	
	ControlProps->SetOpacity(1.0);
	*/
	
 for (int i=0;i<argc;i++)
   {
      std::string fn = argv[i];
      if(fn.substr(fn.find_last_of(".") + 1) == "vtk")
	{
	 	vtkProperty* ControlProps=vtkProperty::New();
	ControlProps->SetColor(0.1*i,1.0/i,1-0.1*i);
	ControlProps->SetAmbientColor(0.0,1.0,0);
	ControlProps->SetDiffuseColor(0.0,1.0,0);
	ControlProps->SetSpecularColor(0.0,1.0,0);	
	ControlProps->SetOpacity(0.5); 

	std::cout << "Load " << argv[i] << " as vtk ..." << std::endl;
	vtkActor *DTIThalamusActor=GetActorForPolyDataFileName(argv[i]);
	DTIThalamusActor-> SetProperty (ControlProps);
	ren1->AddActor(DTIThalamusActor);
	}};
	
	
	cout << "Set UP Rendering and Visualisation" << endl;

	vtkRenderWindow *renWin = vtkRenderWindow::New();
	renWin->AddRenderer(ren1);
	
	renWin->SetSize(800, 800);
	
	vtkRenderWindowInteractor *iren = vtkRenderWindowInteractor::New();
	vtkInteractorStyleTrackballCamera *interactStyle= vtkInteractorStyleTrackballCamera::New();
	
	interactStyle->SetInteractor(iren);
	iren->SetInteractorStyle( interactStyle);
	iren->SetRenderWindow(renWin);

	renWin->Render();
	
	
	// This starts the event loop and as a side effect causes an initial render.
	iren->Start();


	cout << "Done with rendering quit for now." << endl;
	
	ren1->Delete();
	renWin->Delete();
	iren->Delete();
	
	return 0;
}




